using System;

internal sealed class Delegate809 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate809 delegate809_1)
	{
		delegate809_1(object_0);
	}

	public extern Delegate809(object object_0, IntPtr intptr_0);

	static Delegate809()
	{
		Class10.smethod_13(typeof(Delegate809).TypeHandle);
	}

	internal static Delegate809 delegate809_0;
}
